package ui

import (
	"fyne.io/fyne/v2"
	"fyne.io/fyne/v2/data/binding"
)

type ScreenController interface {
	GetBinding(string) binding.DataItem
	GetValidator(string) fyne.StringValidator
}

type Controller interface {
	ScreenController

	Initialize() error
	RefreshData() error
}

type DialogController interface {
	ScreenController

	Initialize(data binding.DataItem) error
	RefreshData() error
}
